﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            CreateAnEllipse();
        }

        private void CreateAnEllipse()
        {
            // Создаем эллипс
            Ellipse blueRectangle = new Ellipse();
            blueRectangle.Height = 150;
            blueRectangle.Width = 200;

            // Создаем  кисти
            SolidColorBrush blueBrush = new SolidColorBrush();
            blueBrush.Color = Colors.AliceBlue;
            SolidColorBrush blackBrush = new SolidColorBrush();
            blackBrush.Color = Colors.BlueViolet;

            // Задаем цвет и ширину эллипса
            blueRectangle.StrokeThickness = 1;
            blueRectangle.Stroke = blackBrush;
            // Fill rectangle with blue color
            blueRectangle.Fill = blueBrush;

            // Добавляем эллипс к холсту
            c1.Children.Add(blueRectangle);
        }
    }
}
